dm-snap.c: Remove unnecessary BUG. If no snapshots are found for an origin
device, just submit the I/O without any extra processing.

--- diff/drivers/md/dm-snap.c	2004-05-27 14:24:35.000000000 +0100
+++ source/drivers/md/dm-snap.c	2004-05-27 14:25:30.000000000 +0100
@@ -996,14 +996,12 @@
 static int do_origin(struct dm_dev *origin, struct bio *bio)
 {
 	struct origin *o;
-	int r;
+	int r = 1;
 
 	down_read(&_origins_lock);
 	o = __lookup_origin(origin->bdev);
-	if (!o)
-		BUG();
-
-	r = __origin_write(&o->snapshots, bio);
+	if (o)
+		r = __origin_write(&o->snapshots, bio);
 	up_read(&_origins_lock);
 
 	return r;
